exterior_ring: exterior_ring

## Functions

template<typename Polygon >
ring_return_type< Polygon >::type | boost::geometry::exterior_ring (Polygon &polygon)
| Function to get the exterior_ring ring of a polygon.
template<typename Polygon >
ring_return_type< Polygon const >::type | boost::geometry::exterior_ring (Polygon const &polygon)
| Function to get the exterior ring of a polygon (const version)

## Function Documentation

template<typename Polygon >

ring_return_type<Polygon>::type boost::geometry::exterior_ring | ( | Polygon & | polygon | ) |

Function to get the exterior_ring ring of a polygon.

Note:
  OGC compliance: instead of ExteriorRing

Template Parameters:

  Polygon | polygon type

Parameters:

  polygon | the polygon to get the exterior ring from

Returns:
  a reference to the exterior ring

Examples:
  03_polygon_example.cpp, and c06_custom_polygon_example.cpp.

template<typename Polygon >

ring_return_type<Polygon const>::type boost::geometry::exterior_ring | ( | Polygon const & | polygon | ) |

Function to get the exterior ring of a polygon (const version)

Note:
  OGC compliance: instead of ExteriorRing

Template Parameters:

  Polygon | polygon type

Parameters:

  polygon | the polygon to get the exterior ring from

Returns:
  a const reference to the exterior ring

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK